<script setup lang="ts">
import { useStockStore } from "@/stores/stock";
import { ref } from "vue";

const stockStore = useStockStore();

const delStock = (id: number): void => {
  stockStore.deleteStock(id);
};

const cancel = () => {
  stockStore.deleteDialog = false;
};
</script>

<template>
  <v-row justify="center">
    <v-dialog v-model="stockStore.deleteDialog" persistent width="auto">
      <v-card>
        <v-card-title class="text-h5"> Delete stock item </v-card-title>
        <v-card-text>Are you sure want delete this item?</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue-darken-1" variant="text" @click="cancel()">
            Cancel
          </v-btn>
          <v-btn
            color="blue-darken-1"
            class="font-weight-bold ma-1"
            @click="delStock"
          >
            Yes
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<style></style>
